TAAS - Feature #272

Main Ledger Statement
12/02/2023 01:07 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 12/02/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Main Ledger Statement

Description

Coding Main Ledger Statement

History

#1 - 04/08/2024 11:25 AM - Anil KV
- Status changed from New to Ready for Coding
- % Done changed from 0 to 20

*GUI Changes*

-> Main Ledger - need code and Name textbox

—> Input widgets order like Ledger Statement
—-Ledger (Not Need) to Main Ledger

*Solution*

—> Like ledger Statement - Ledger to Main Ledger

#2 - 05/27/2024 09:42 AM - Anonymous

- Assignee changed from travvise Admin to Greeshma S

#3 - 05/31/2024 10:17 AM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#4 - 11/27/2024 07:02 PM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#5 - 12/19/2024 01:53 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

1. Sub customer field is showing all the pax profiles not just with sub customer field ticked.
2. No data showing while selecting the sub customer.
3. Add redirection to the document number.

#6 - 12/19/2024 06:24 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#7 - 12/20/2024 03:03 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Data showing in 'Not Approved Document Amount' field even after approving it through document approve module.
2. Data not showing in the details column while it is showing in the system column of summary tab.

#8 - 12/30/2024 06:08 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#9 - 01/16/2025 12:53 PM - Theja Ponon

- File clipboard-202501161245-k506b.png added

- File clipboard-202501161247-04ysa.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#10 - 01/16/2025 01:59 PM - Theja Ponon
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 02/25/2025 03:47 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#12 - 02/25/2025 04:00 PM - Arathy PS
- File clipboard-202502251559-kwjch.png added

ISSUE FOUND

1. Data missing in the details tab of seyahaty
------- Take backup of seyahaty db and check.

Main Ledger Statement z 9| = Menu~_a LW AL:]

Transaction Date®  25/02/2023 25/02/2025 Branch” . - Matched Qutstanding

Main Ledger” | AMO14 Sundry Debto Cumengy”™ | Basel(SAR) ~ Consider Matching Done After To Date*

New

Summary | Details

#  Date Document No Debit Credit Balance Reference Narration Details

1 Opening Balance 0.00 0.00 0.00

H Total 0.00 0.00 0.00 rd
3

Closing Balance 0.00 0.00 Vi

#13 - 02/26/2025 02:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#14 - 03/05/2025 01:24 PM - Arathy PS

- File clipboard-202503051324-bps5e.png added

- File clipboard-202503051324-hdylo.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. When we do AR sharing in a sale between two customer of same main ledger only partial amount is showing in the summary and detail tab only
one document no: is showing.
Main Ledger Statement

Transaction Date*

0 Branch*  pain - Matched Outstanding
Main Ledger” | AMO15 NEW CUSTOMER MAIN LEDGER Currency” | Base1(QAR) ~ Consider Matching Done After To Date™
Sub Customer (Profile) ~ Department - File No ~
Status™  Activ - Cash Counter - Consider P&l pgy Date Same As To Date Ther
Cost Center - Brcluse N Show Matched Net Difference After OB"
eference~ Show Opening Balance
aan
Summary = Details
Summary List T @ =
# | Item Details (Matched & Outstanding) System (Matched & Outstanding)
Debit Credit Net Balance Debit Credit Net Balance
1 Opening Balance 000 0.00 0.00 0.00 000 0.00 0.00 0.00
2 Matched/Qutstanding Net Diffre 0.00 0.00 0.00 0.00 0.00 0.00 0.00 0.00
3 [ Current Amount 600.00 0.00 600.00 600.00 600.00 0.00 600.00 600.00 I
4 After To Date Ameunt 0.00 0.00 0.00 600.00 600.00 0.00 600.00 1200.00
5 Mot Approved Document Amou 000 0.00 0.00 600.00 0.00 0.00 0.00 1200.00
6 Mot Approved Posting Only Ame 0.00 0.00 0.00 600.00 0.00 0.00 0.00 1200.00
7 Expected Posting(Paid Cheque C 0.00 0.00 0.00 600.00 0.00 0.00 0.00 120000
8  Projected Balance 0.00 0.00 0.00 600.00 1200.00 0.00 1200.00 1200.00

Main Ledger Statement

Transaction Date* Branch* Main - Matched Outstanding
Main Ledger* | AMO15 NEW CUSTOMER MAI} Currency’ | Basel(QAR) v Consider Matching Done After To Date*
Sub Customer (Profile) ~ Department - File No -
Status® 4 Doc - Cash Counter - Consider P&l P&l Date Same As To Date Ther ¥
Cost Center - Exclude -

Show Matched Net Difference After OB*

Refe ~
erence: Show Opening Balance

ARA
Summary = Details
Details List T a 2 &
# | Date Document No Debit Credit Balance = Reference Narration Details
1 Opening Balance 0.00 0.00 0.00
2 05/01/2025 INV/009 600.00 0.00 600.00 ] &
3 Total 600.00 0.00 600.00
4 Closing Balance 600.00 0.00

#15 - 03/10/2025 06:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#16 - 03/19/2025 12:59 PM - Arathy PS

- File clipboard-202503191246-ew4uf.png added

- File clipboard-202503191258-4ap4h.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we try to ascend or descend the datas using credit/debit columns.
Main Ledger Statement

Main Ledger® | AMO14 Su

summary | Details

Details List

#  Date Document No
1 Opening Balance
2 17/03/2025 INV/009

3 17/03/2025 INV/00922

4 17/03/2025 INV/005

5 17/03/2025 INV/006

6 17/03/2025 INV/006

7 18/03/2025 NV/011

8 17/03/2025 INV/007

9 17/03/2025 INV/007

10 17/03/2025 €5/001

11 18/03/2025 INV/013

12 19/03/2025 DN/001

13 18/03/2025 INV/010

4 18/03/2025 INV/010

15 18/03/2025 INV/010

16 18/03/2025 INV/012

7 Closing Balance
18 17/03/2025 RV/003

19 17/03/2025 RV/002

20 17/03/2025 €5/001

2. Data showing for the wrong transaction date.
Travvise

Debit

2400.00

32000.00

1000.00

1020.00

4000.00

1000.00

1200.00

4000.00

1000.00

1000.00

2000.00

1000.00

1200.00

1200.00

800.00

1010.00

22830.00

T Credit

0.00

0.00
1000.00
1000.00

1000.00

Balance

2400.00

440000

440000

442000

842000

942000

1062000

1462000

1562000

1562000

1762000

1862000

1982000

2102000

2182000

2283000

340000

340000

1462000

Currency®

Base1(QAR)

vy

Reference

reddd

Narration

Coporate Card Receipt, Paid Through C0C002: Cor.
Cradit/Debit Card Receipt, Paid Through CRC002: C...

Cash Sale Party Cr Posting.

Consider Matching Done After To Date* @

Details

Coporate Card Receipt, Card No:%és, lssued Bank3%s.
Credit/Debit Card Receipt, Card No:001, Issued Ban.

Cash Sale Party Cr Posting.

LI TA TR TA T TR TR N0 A A N
Transaction Date™ 13/t

Main Ledger Statement

Main Ledger* | LM002 Curr

Summary = Details

Details List
# Date Document No

B 1 Opening Balance
2 PV/005
3 PV/00S
4 PV/006

" PV/006

7 6 19/03/2025 PV/009
7 19032025 PV/009
8 Total

Closing Balance

Debit

1000.00

1000.00

2400.00

1000.00

#17 - 03/19/2025 06:24 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

Credit

1000.00

000

1400.00

0.00

Balance

1000.00

800.00

1000.00

800,00

1000.00

000

1000.00

1000.00

Reference

Base1(QAR)

Narration

Cheque Payment, Cheque No: 002, Date: 17-03-202..
Cheque Payment, Cheque No: 002, Date: 17-03-202...
Cheque Payment, Cheque No: 003, Date: 17-03-202...
Cheque Payment, Cheque No: 003, Date: 17-03-202..
Cheque Payment, Cheque No: 005, Date: 19-03-202...

Cheque Payment, Cheque Na: 005, Date: 19-03-202..

Matched @ OQutstanding @

Consider Matching Done After To Date™

Details

Chegue Payment, Cheque No: 002, Date: 17-03-202...
Chegue Payment, Cheque No: 002, Date: 17-03-202..
Cheque Payment, Cheque No: 003, Date: 17-03-202...
Chegue Payment, Cheque No: 003, Date: 17-03-202...
Chegue Payment, Cheque No: 005, Date: 19-03-202..

Chegue Payment, Cheque Ne: 003, Date: 19-03-202...
